import request from "../../utils/request";

export function addadmin(data) {
  return request({
    url: "/baseStaff/api/create", // 创建用户
    method: "post",
    data
  });
}
export function checkApp(data) {
  return request({
    url: "/commonUser/api/checkApp", // 创建用户
    method: "post",
    data
  });
}
export function shipList() {
  return request({
    url: "/baseVessel/query/companyVessels", // 获取关联船舶左侧列表
    method: "get"
  });
}
export function findRoles(data) {
  return request({
    url: "/baseRole/query/findRoles", // 获取职务左侧列表
    method: "get",
    params: {
      deptId: data
    }
  });
}
export function findRolesShip(data) {
  return request({
    url: "/commonDeptRole/query/getRoleListByDeptId", // 获取职务左侧列表
    method: "get",
    params: data
  });
}

export function getVessels() {
  return request({
    url: "/baseVessel/query/getVessels", // 获取关联船舶左侧列表
    method: "get"
  });
}
